package com.ruoyi.system.domain.operatingmanage;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 企业招聘 企业信息
 * @author wujm<wujm@eazytec.com>
 */
public class TPublicServiceComInfo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键id
	 */
	private Long comId;
	
	/**
	 * 企业名称
	 */
	private String comName;
	
	/**
	 * 企业规模
	 */
	private String comScale;
	
	/**
	 * 职位福利
	 */
	private String comBenefits;
	
	/**
	 * 职位地址
	 */
	private String comAddress;
	
	/**
	 * 所属行业
	 */
	private String comIndustry;
	
	/**
	 * 工作时间
	 */
	private String comTime;
	
	/**
	 * 职位联系电话
	 */
	private String comPhone;
	
	/**
	 * 联系人
	 */
	private String comOwner;
	
	/**
	 * 是否有效1 有效 0 无效
	 */
	private Integer valid;
	
	/**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	
	/**
	 * 
	 */
	private String createBy;
	
	/**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	
	/**
	 * 
	 */
	private String updateBy;

	private String postDesc;

	private String title;

	/**
	 * 是否隐藏 0 隐藏 1 显示  默认隐藏
	 */
	private String hiddenType;

	/**
	 * 经度
	 */
	private String longitude;

	/**
	 * 纬度
	 */
	private String latitude;

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getHiddenType() {
		return hiddenType;
	}

	public void setHiddenType(String hiddenType) {
		this.hiddenType = hiddenType;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getPostDesc() {
		return postDesc;
	}

	public void setPostDesc(String postDesc) {
		this.postDesc = postDesc;
	}

	private List<TPublicServiceComRecruit> comRecruitList;

	public List<TPublicServiceComRecruit> getComRecruitList() {
		return comRecruitList;
	}

	public void setComRecruitList(List<TPublicServiceComRecruit> comRecruitList) {
		this.comRecruitList = comRecruitList;
	}

	public TPublicServiceComInfo() {
		super();
	}

    /**
     * setter for comId
     * @param comId
     */
	public void setComId(Long comId) {
		this.comId = comId;
	}

    /**
     * getter for comId
     */
	public Long getComId() {
		return comId;
	}
	
    /**
     * setter for comName
     * @param comName
     */
	public void setComName(String comName) {
		this.comName = comName;
	}

    /**
     * getter for comName
     */
	public String getComName() {
		return comName;
	}
	
    /**
     * setter for comScale
     * @param comScale
     */
	public void setComScale(String comScale) {
		this.comScale = comScale;
	}

    /**
     * getter for comScale
     */
	public String getComScale() {
		return comScale;
	}
	
    /**
     * setter for comBenefits
     * @param comBenefits
     */
	public void setComBenefits(String comBenefits) {
		this.comBenefits = comBenefits;
	}

    /**
     * getter for comBenefits
     */
	public String getComBenefits() {
		return comBenefits;
	}
	
    /**
     * setter for comAddress
     * @param comAddress
     */
	public void setComAddress(String comAddress) {
		this.comAddress = comAddress;
	}

    /**
     * getter for comAddress
     */
	public String getComAddress() {
		return comAddress;
	}
	
    /**
     * setter for comIndustry
     * @param comIndustry
     */
	public void setComIndustry(String comIndustry) {
		this.comIndustry = comIndustry;
	}

    /**
     * getter for comIndustry
     */
	public String getComIndustry() {
		return comIndustry;
	}
	
    /**
     * setter for comTime
     * @param comTime
     */
	public void setComTime(String comTime) {
		this.comTime = comTime;
	}

    /**
     * getter for comTime
     */
	public String getComTime() {
		return comTime;
	}
	
    /**
     * setter for comPhone
     * @param comPhone
     */
	public void setComPhone(String comPhone) {
		this.comPhone = comPhone;
	}

    /**
     * getter for comPhone
     */
	public String getComPhone() {
		return comPhone;
	}
	
    /**
     * setter for comOwner
     * @param comOwner
     */
	public void setComOwner(String comOwner) {
		this.comOwner = comOwner;
	}

    /**
     * getter for comOwner
     */
	public String getComOwner() {
		return comOwner;
	}

    /**
     * setter for valid
     * @param valid
     */
	public void setValid(Integer valid) {
		this.valid = valid;
	}

    /**
     * getter for valid
     */
	public Integer getValid() {
		return valid;
	}
	
    /**
     * setter for createTime
     * @param createTime
     */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

    /**
     * getter for createTime
     */
	public Date getCreateTime() {
		return createTime;
	}
	
    /**
     * setter for createBy
     * @param createBy
     */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

    /**
     * getter for createBy
     */
	public String getCreateBy() {
		return createBy;
	}
	
    /**
     * setter for updateTime
     * @param updateTime
     */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

    /**
     * getter for updateTime
     */
	public Date getUpdateTime() {
		return updateTime;
	}
	
    /**
     * setter for updateBy
     * @param updateBy
     */
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

    /**
     * getter for updateBy
     */
	public String getUpdateBy() {
		return updateBy;
	}
	
}
